<?php
/**
* Joomla Community Builder User Plugin: plug_profileURL
* @version $Id$
* @package plug_profileURL
* @subpackage profileURL.xml
* @author Gaivn Tronset
* @copyright (C) Gavin Tronset, www.aphoticsea.com
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @version 1.0
*/

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
	
class getCBProfileURLTab extends cbTabHandler {
	function getCBProfileURLTab() {
		$this->cbTabHandler();
	}

	function getDisplayTab($tab,$user,$ui) {
		$return = null;
		
		$params = $this->params;
		
		$is_CBProfileURL_plug_enabled = $params->get('puPlugEnabled', "1");
		$CBProfileURL_URL_Name_Path = $params->get('puURLNamePath', "view-user-profile");
		$is_CBProfileURL_LC_enabled = $params->get('puURLNameLC', "0");
		$CBProfileURL_URL_Name_Ext = $params->get('puURLNameExt', ".html");
		$site = $mosConfig_live_site;
		
		if ($is_CBProfileURL_plug_enabled != "0") {
			if($tab->description != null) {
				$return .= "\t\t<div class=\"tab_Description\">"
					. $tab->description
					. "</div>\n";
			}
			if ($is_CBProfileURL_LC_enabled != "0") {
				$lcname = strtolower( $user->username );
			} else {
				$lcname = $user->username;
			}
			if ($CBProfileURL_URL_Name_Path == null) {
				$fs = null;
			} else {
				$fs = "/";
			}
			$return .= "\t\t<div>\n"
				. "<b>Profile URL</b>:&nbsp&nbsp&nbsp&nbsp&nbsp&nbsp"
				. "<a href=\""
				. $mosConfig_live_site
				. "/"
				. $CBProfileURL_URL_Name_Path
				. $fs
				. $lcname
				. $CBProfileURL_URL_Name_Ext
				. "\">"
				. $GLOBALS[mosConfig_live_site]
				. "/"
				. $CBProfileURL_URL_Name_Path
				. $fs
				. $lcname
				. $mosConfig_live_site
				. $CBProfileURL_URL_Name_Ext
				. "</a>"
				. $mosConfig_live_site
				. "</div>\n";
		}
		
		return $return;
	}
}
?>
